#include<iostream>
#include<iomanip>
using namespace std;
void sortiranje(double a[], double niz2[], int n) {
    int i, j;
    bool zamena;
    for (i = 0; i<n-1; i++) {
        zamena = false;
        for (j = n-1; j>i; j--) {
            if (a[j] > a[j-1]) {
                swap(a[j], a[j-1]);
                swap(niz2[j], niz2[j-1]);
                zamena = true;
            }
        }
        if (!zamena)
            break;
    }
}

int main()
{
    int n;
    cin >> n;
    double a[n], p[n], maksS=0, suma=0;
    for(int i=0;i<n;i++)
        cin >> a[i] >> p[i];
 //   cout << endl;
   /* for(int i=0;i<n;i++)
        cout << a[i] << " " << p[i] << endl;
    cout << endl;*/
    sortiranje(p,a, n);
 /*   for(int i=0;i<n;i++)
        cout << a[i] << " " << p[i] << endl;*/
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<=i;j++)
        {
           // cout << "Za porez: " << p[i] << " racunam" << a[j];
            suma+=a[j];
        }

        suma*=p[i]/100;
        if(suma>maksS)
            maksS = suma;
       // cout << suma << endl;
        suma = 0;
    }
   // cout << endl;
    cout << fixed;
    cout << setprecision(4) << maksS << endl;
    return 0;
}